Search Port Details by its name or unlocode
GET /ports/search on the Ports Intelligence API. Base URL: https://api.sinay.ai/ports-intelligence/api/v1.
Search a port by its UN/LOCODE or its name and retrieve its details.
Query parameters
Responses
Body: application/json, object.
| Field | Type | Required | Description |
|---|---|---|---|
name | string | No | Name of the port. |
longitude | number (float) | No | Longitude coordinate. |
latitude | number (float) | No | Latitude coordinate. |
unlocode | string | No | UN/LOCODE of the port. |
countryName | string | No | Country name. |
countryCode | string | No | ISO country code. |
Example response body:
{
"portDetails": {
"name": "LE HAVRE",
"longitude": 0.146204,
"latitude": 49.4726,
"unlocode": "FRLEH",
"countryName": "France",
"countryCode": "FR"
}
}